/////////////////////////////////////////////////////////////////
//
//	< SANEIST >
//	SaneiSt.h	
//
//						Copyright(c) 2005 GrapeSystems Inc.
//
/////////////////////////////////////////////////////////////////
#ifndef INC_SANEIST_H
#define INC_SANEIST_H

#if defined(__cplusplus)
extern "C"
{
#endif

// define Printer status

#define SANEI_STATUS_CHAR_READY			'R'		// ҋ@@
#define SANEI_STATUS_CHAR_BUSY			'B'		// 
#define SANEI_STATUS_CHAR_ERROR			'E'		// G[~
#define SANEI_STATUS_CHAR_LMK_ERROR		'X'		// G[(ꃂj^̃v^ȊÕG[j

#define SANEI_STATUS_CHAR_UNKNOW		'?'		// ԕsiXe[^X擾łj

// define Printer error

#define SANEI_ERROR_CHAR_NO				'0'		// 
#define SANEI_ERROR_CHAR_NEAREND		'1'		// jAGh
#define SANEI_ERROR_CHAR_PAPEREND		'2'		// ؂
#define SANEI_ERROR_CHAR_HEADUP			'3'		// wbhAbv
#define SANEI_ERROR_CHAR_HARD			'4'		// \ʃn[hEFAG[

#define SANEI_ERROR_CHAR_START			SANEI_ERROR_CHAR_NO		//t@[ŋK肳G[̍ŏ̃R[h
#define SANEI_ERROR_CHAR_END			SANEI_ERROR_CHAR_HARD	//t@[ŋK肳G[̍Ō̃R[h


#define SANEI_ERROR_CHAR_WRITE			'w'		// łȂ
#define SANEI_ERROR_CHAR_READ			'r'		// ǍłȂ
#define SANEI_ERROR_CHAR_FRAME			'f'		// t[ُ
#define SANEI_ERROR_CHAR_ECHO			'e'		// GR[obNvȂ
#define SANEI_ERROR_CHAR_STATUS			's'		// Xe[^Xُ
#define SANEI_ERROR_CHAR_UNKNOW			'u'		// ̑̃G[
#define SANEI_ERROR_CHAR_COMMAND		'c'		// sR}hł
#define SANEI_ERROR_CHAR_MEMORY			'm'		// mۂł܂ł

// define error message

#define SANEI_ERROR_MSG_NEAREND			TEXT("NearEnd Error")
#define SANEI_ERROR_MSG_PAPEREND		TEXT("PaperEnd Error")
#define SANEI_ERROR_MSG_HEADUP			TEXT("HeadUp Error")
#define SANEI_ERROR_MSG_HARD			TEXT("Hardware Error")


#define SANEI_ERROR_MSG_NOTCOMPLETE		TEXT("Print was not completed")
#define SANEI_ERROR_MSG_COMMUNICATIONERR	TEXT("Communication abnormality")
//#define SANEI_ERROR_MSG_INITERR			TEXT("Initialization error")
//#define SANEI_ERROR_MSG_INITERR_COM		TEXT("Initialization(echo back) error")
#define SANEI_ERROR_MSG_HEADER			TEXT("Print Data Header error")

// define printer status struct

#pragma pack(push,1)
typedef struct tagSaneiStAcStatus {
	BYTE	byPrinterStatus;		// v^
	BYTE	byErrorCode;			// G[R[h

	BYTE	byReserved[2];			// Reserved
} SANEIST_STATUS, FAR * LP_SANEIST_STATUS;
#pragma pack(pop)

// define API
INT WINAPI PrinterReadStatus(LPCSTR lpPrinterName, LPBYTE lpBuffer, DWORD cbBuffer, LPDWORD lprnRead);

#define SANEIST_ERROR_NO		0	// G[Ȃ
#define SANEIST_ERROR_BUFFER	2	// obt@܂
#define SANEIST_ERROR_TIMEOUT	3	// ^CAEgiꃂj^ԓԂ܂łj
#define SANEIST_ERROR_SHAREMEM	4	// LI[vł܂ł


#if defined(__cplusplus)
}
#endif

#endif // INC_SANEIST_H
